summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorJohn D Jones III2015-06-16 13:56:32 -0600
committerJohn D Jones III2015-06-16 13:56:32 -0600
commit814de507d9fabb9bd09e19252fed519639e16e87 (patch)
tree3e534d527ec767c6d011c2ea986a31a8c3cc72a6
downloadaur-814de507d9fabb9bd09e19252fed519639e16e87.tar.gz
Initial import
-rw-r--r--.SRCINFO23
-rw-r--r--PKGBUILD23
-rw-r--r--fixinstallpath.patch11
3 files changed, 57 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..d3f90529361
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,23 @@
+pkgbase = cairo-dock-themes
+ pkgdesc = Themes for cairo-dock
+ pkgver = 1.6.3.1
+ pkgrel = 4
+ url = http://sourceforge.net/projects/cairo-dock.berlios/files/
+ arch = i686
+ arch = x86_64
+ license = GPL
+ makedepends = autoconf
+ makedepends = intltool
+ makedepends = automake
+ makedepends = libtool
+ makedepends = perl-xml-parser
+ makedepends = pkgconfig
+ depends = librsvg
+ depends = cairo-dock
+ source = http://downloads.sourceforge.net/project/cairo-dock.berlios/cairo-dock-themes-1.6.3.1.tar.bz2
+ source = fixinstallpath.patch
+ md5sums = ac73b44de2727a384d4c163b31321cca
+ md5sums = 36e03dcdd884d308318ff1042de3e1cb
+
+pkgname = cairo-dock-themes
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..3e1165c0260
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,23 @@
+# Maintainer: jnbek <jnbek1972 -_AT_- g m a i l -_Dot_- com>
+
+pkgname=cairo-dock-themes
+pkgver=1.6.3.1
+pkgrel=4
+pkgdesc="Themes for cairo-dock"
+url="http://sourceforge.net/projects/cairo-dock.berlios/files/"
+license="GPL"
+arch=('i686' 'x86_64')
+depends=('librsvg' 'cairo-dock')
+makedepends=('autoconf' 'intltool' 'automake' 'libtool' 'perl-xml-parser' 'pkgconfig')
+source=("http://downloads.sourceforge.net/project/cairo-dock.berlios/$pkgname-$pkgver.tar.bz2" "fixinstallpath.patch")
+md5sums=('ac73b44de2727a384d4c163b31321cca' '36e03dcdd884d308318ff1042de3e1cb')
+
+package() {
+ cd $pkgname-$pkgver
+ echo "Patching installpath"
+ patch -p1 < "$startdir/fixinstallpath.patch" || return 1
+ autoreconf -isvf || return 1
+ ./configure --prefix=/usr --disable-static || return 1
+ make || return 1
+ make install DESTDIR=$pkgdir || return 1
+}
diff --git a/fixinstallpath.patch b/fixinstallpath.patch
new file mode 100644
index 00000000000..06bfcb7dbc0
--- /dev/null
+++ b/fixinstallpath.patch
@@ -0,0 +1,11 @@
+--- cairo-dock-themes-1.6.3.1/configure.ac.orig 2015-05-01 17:01:49.614965237 -0600
++++ cairo-dock-themes-1.6.3.1/configure.ac 2015-05-01 17:01:54.844902108 -0600
+@@ -10,7 +10,7 @@
+ AM_INIT_AUTOMAKE([foreign])
+ AC_PROG_LIBTOOL
+
+-pkgdatadir=[`pkg-config cairo-dock --variable=themesdir`]
++pkgdatadir=[`pkg-config gldi --variable=pluginsdatadir | sed -e's/plug-ins/themes/g'`]
+ AC_SUBST(pkgdatadir)
+
+ # Checks for libraries.